#include "mgos.h"

#define MY_EVENT_PINGPONG_BASE MGOS_EVENT_BASE('S', 'X', '1')
enum my_event {
  MY_EVENT_PINGPONG = MY_EVENT_PINGPONG_BASE,
};

static void rundemo(int ev, void *ev_data, void *userdata) {
  mgos_event_trigger(MY_EVENT_PINGPONG, NULL);
  (void) ev;
  (void) ev_data;
  (void) userdata;
}

enum mgos_app_init_result mgos_app_init(void) {

  if(!mgos_event_register_base(MY_EVENT_PINGPONG_BASE, "Ping-pong demo")) {
    LOG(LL_ERROR, ("Failed to register event base"));
    return false;
  }
  if(!mgos_event_add_handler(MY_EVENT_PINGPONG, rundemo, NULL)) {
    LOG(LL_ERROR, ("Failed to register event handler"));
    return false;
  }
  mgos_event_trigger(MY_EVENT_PINGPONG, NULL);
  return MGOS_APP_INIT_SUCCESS;
}

